# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name vector-space

%global common_summary Vector & affine spaces, linear maps, and derivatives

%global common_description Classes and generic operations for vector spaces and affine spaces.\
It also defines a type of infinite towers of generalized derivatives.\
A generalized derivative is a linear transformation rather than one of\
the common concrete representations (scalars, vectors, matrices, ...).

Name:           ghc-%{pkg_name}
Version:        0.7.6
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
%if %{undefined without_hscolour}
BuildRequires:  hscolour
%endif
# END cabal2spec

BuildRequires:  ghc-Boolean-prof
BuildRequires:  ghc-MemoTrie-prof

%description
%{common_description}


%package -n ghc-%{pkg_name}-devel
Summary:        Development files for %{common_summary}
Group:          Development/Libraries
# BEGIN cabal2spec
%{?ghc_devel_requires}
Obsoletes:      ghc-%{pkg_name}-prof < %{version}-%{release}
Provides:       ghc-%{pkg_name}-prof = %{version}-%{release}
# END cabal2spec

%description -n ghc-%{pkg_name}-devel
%{common_description}

This package contains the development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post -n ghc-%{pkg_name}-devel
%ghc_pkg_recache

%postun -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%if %{undefined ghc_without_shared}
%files -n ghc-%{pkg_name} -f ghc-%{pkg_name}.files
%endif

%files -n ghc-%{pkg_name}-devel -f ghc-%{pkg_name}-devel.files


%changelog
* Mon Oct  3 2011 Jens Petersen <petersen@redhat.com> - 0.7.6-1
- update to 0.7.6

* Sat Jul 09 2011 Ben Boeckel <mathstuf@gmail.com> - 0.7.3-2
- Update to cabal2spec-0.24

* Mon Jun 20 2011 Ben Boeckel <mathstuf@gmail.com> - 0.7.3-1
- Update to 0.7.3

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.7.2-1
- Update to 0.7.2

* Fri Sep 03 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.9-1
- Initial package

* Fri Sep  3 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.5.9-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
